Skip to main content
`Ctrl`+`K`

# LMEGetSolution

Gets the solution of the matrix equation.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEGetSolution(LME lme,Mat *X)

Collective

## Input Parameter

- lme - the linear matrix equation solver context

## Output Parameter

- X - the low-rank matrix

## Notes

If called after `LMESolve()`, `X` will contain the solution of the equation.

The matrix `X` may have been passed by the user via `LMESetSolution()`, although this is not required.

## See Also

LME: Linear Matrix Equation, `LMESolve()`, `LMESetSolution()`

## Level

beginner

## Location

src/lme/interface/lmesetup.c

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages